hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter Vary (Jira)" <j...@apache.org>
Subject [jira] [Updated] (HIVE-22407) Hive metastore upgrade scripts have incorrect (or outdated) comment syntax
Date Thu, 31 Oct 2019 09:52:00 GMT

     [ https://issues.apache.org/jira/browse/HIVE-22407?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Peter Vary updated HIVE-22407:
------------------------------
    Fix Version/s: 3.2.0

> Hive metastore upgrade scripts have incorrect (or outdated) comment syntax
> --------------------------------------------------------------------------
>
>                 Key: HIVE-22407
>                 URL: https://issues.apache.org/jira/browse/HIVE-22407
>             Project: Hive
>          Issue Type: Bug
>          Components: Standalone Metastore
>    Affects Versions: 4.0.0, 3.1.2
>            Reporter: Aditya Shah
>            Assignee: Aditya Shah
>            Priority: Major
>             Fix For: 4.0.0, 3.2.0, 3.1.3
>
>         Attachments: HIVE-22407.branch-3.1.patch, HIVE-22407.branch-3.patch, HIVE-22407.patch
>
>
> MySQL has made the single line comment which starts with `--` syntax to have min one
space after this. This causes the current upgrade scripts in the standalone-metastore to throw
an exception. 
> ref: [https://dev.mysql.com/doc/refman/5.7/en/ansi-diff-comments.html]  



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message